# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         videodev      /dev/video0

Name:           wmwebcam
Version:        0.3.5
Release:        alt1_12
Summary:        A dock application for your webcam
License:        GPLv2
Group:          Video

URL:            https://www.dockapps.net/wmwebcam
Source0:        https://repo.or.cz/dockapps.git/tree/HEAD:/wmwebcam/%{name}-%{version}.tar.gz
#old legacy v4l1 prog, patch to use libv4l1
Patch0:         %{name}-0.3.5-libv4l1.patch
#clean the perl script: removed call to "stamp" (old)
Patch1:         %{name}-0.3.5-script.patch


BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libv4l-devel
Requires:       openssh-clients
Requires:       perl
Requires:       grep
Source44: import.info


%description
Wmwebcam is yet another dockapp for WindowMaker, or any desktop
environment that handles dock applications, that streams your webcam
into a small docked window. Check the perl script
"%{_bindir}/%{name}.pl" if you want to publish the captured images
with your favorite web server.


%prep
%setup -q
%patch0
%patch1



%build
%make_build \
      CFLAGS="%optflags -DVIDEO_DEV='\"%videodev\"'" \
      LDFLAGS="" LIBS="-lX11 -lXext -lm -ljpeg -lv4l1"


%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 %{name}.pl %{buildroot}%{_bindir}/%{name}.pl

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}.pl




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.3.5-alt1_12
- update by mgaimport

* Tue Mar 24 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_11
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_10
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_9
- update by mgaimport

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_8
- new version

